Skip to main content
PATCH
Update wallet strategy
Wallets created with autoRebalance: false use Preview wallet allocation and Allocate wallet funds instead of percentage targets.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Wallet ID

Body

application/json
requestId
string<uuid>
required

Client-generated idempotency key (UUID v4).

allocations
object
required

Allocation groups. Each included group must independently sum to 100 percent. usdt uses Ethereum USDT; usdt:tron uses native TRON USDT.

Response

Strategy updated successfully

strategyAllocations
object
required

Canonical desired strategy targets grouped by stablecoin.